# ginput : Gnome input devices configuration tool

Manage the settings of your keyboard, mouse, ... with a simple GUI.
This is for the internal settings of your devices, not for the OS settings.
For example, you can change the mouse DPI, polling rate, rgb, ...

## Driver interface

Drivers **must** expose the following symbols:
```c
void driver_init(); // Initialization
uint32_t driver_getkey(); // Calls to this function must return USB keys that this driver registers, until 0
device_type_t driver_get_type(); // Returns device type
char* driver_get_name(void* handle); // Returns peripheral name
char* driver_get_image(void* handle); // Returns peripheral image

// Mouse drivers

```

